Subject: [bug#57297] [PATCH 0/7] Update vulkan packages and add vulkan-validationlayers

From: Kaelyn Takata <[email-masked]>
Date: Fri, 19 Aug 2022 14:48:41 +0000

Hi,

This patch series adds vulkan-validationlayers 1.2.201 and updates the dependent vulkan packages to compatible versions from approximately the same time period. I had added/updated these packages in a local channel about 8 or 9 months ago and have been running multiple systems with them since then. My motivation at the time was to add vulkan-validationlayers for use with the Vulkan tutorial at https://vulkan-tutorial.com.

It was only recently that I was able to fix an issue with the tutorial program not finding the .so for the validation layer, by patching the layer manifest file with the full store path of the .so. A similar phase would need to be added to the mesa package definition for its device selection layer to work properly. The error from the mesa layer not being found when I run the basic tutorial program is:

  !! validation layer: libVkLayer_MESA_device_select.so: cannot open shared object file: No such file or directory

The 'set-layer-path-in-manifest phase in vulkan-validationlayers resolved a similar error about libVkLayer_khronos_validation.so.

Final note: I went to update these packages to their latest versions before submitting the series, but they trigger warnings when running programs using Vulkan with Mesa 21.3.8 due it not supporting Vulkan 1.3 (I forget the exact warning).

Cheers,
Kaelyn

Kaelyn Takata (7):
  gnu: spirv-headers: Update to 1.2.198.0.
  gnu: spirv-tools: Update to 2021.4.
  gnu: vulkan-headers: Update to 1.2.202.
  gnu: vulkan-loader: Update to 1.2.202.
  gnu: vulkan-tools: Update to 1.2.201.
  gnu: shaderc: Update to 2021.3.
  gnu: Add vulkan-validationlayers.

 gnu/packages/vulkan.scm | 94 +++++++++++++++++++++++++++++------------
 1 file changed, 68 insertions(+), 26 deletions(-)

base-commit: 65cabb010e3388d10f9b25ec560bfcfab5f810d4
--
2.37.2